Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.security
Class UserNameMapper

    java.lang.Object
      |
      +--com.bea.b2b.security.UserNameMapper

public class UserNameMapper
extends java.lang.Object

The UserNameMapper class maps the incoming certificate to a WebLogic Server user.

The authenticator maps the trading partner certificate to a WLS user.

Customers can customize this authenticator to suit their individual requirements.

    public String mapCertificateToUserName(X509Certificate[] certs, boolean ssl)
    {

    // Verify that the certificate is a valid WLC certificate
    // then return the corresponding WLS user.

    if ((user = Security.isValidWLCCertificate(certs))!= null)
    {
    return user;
    }
    // Certificate is not a valid WLC certificate.
    // Check here for non-WLC certificate and return the corresponding user.

    }
    }

This implementation uses the WebLogic default realm for retrieving users.

If a different realm is used in a particular deployment then this authenticator must be customized for that particular deployment.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UserNameMapper()`

Method Summary
`java.lang.String` | `mapCertificateToUserName(java.security.cert.X509Certificate[] certs, boolean ssl)` Attempts to validate a digital certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserNameMapper

    public UserNameMapper()

Method Detail

### mapCertificateToUserName

    public java.lang.String mapCertificateToUserName(java.security.cert.X509Certificate[] certs,
                                                     boolean ssl)

  Attempts to validate a digital certificate.

  Parameters:
    `certs` - Incoming certificate chain.
    `ssl` - Flag to indicate SSL is used or not

    The incoming certificate is validated, and then the WebLogic Server user corresponding to the certificate is returned.

    isValidWLCCertificate() validates the certificate.

  Returns:
    username - user name, or null if mapping failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)